Subject: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: martin rudalics <[email-masked]>
Date: Thu, 06 Jul 2017 09:08:18 +0200

> post-command hooks and non-idle timers. Not that it matters much.

I don't understand the reasons for this combination.  Inherently this
emulates idle timers as also the variable names (‘company-idle-delay’,
‘company-tooltip-idle-delay’) indicate.

 > It would be nice if the popup were able to reposition itself when the
 > Emacs window is resized, of course (post-command-hook doesn't always
 > run in such cases), but we've been living well enough without that.

Putting the function on ‘window-size-change-functions’ should handle
that now.  For earlier Emacs versions you probably have to resort to
‘window-configuration-change-hook’ as well.

martin